---
id: overview
title: Overview
sidebar_label: Overview
slug: /
keywords: Search UI, Elasticsearch Search UI, React Search Components
description: Searchkit is an open source search toolkit built with Elasticsearch, GraphQL and React.
---

### What is Searchkit?
Searchkit is an open source search toolkit. Searchkit is made up of the following parts:
+ @searchkit/Schema: Easily build a dev friendly search GraphQL API with our schema
+ @searchkit/client: Works in tandem with Searchkit's Search API to manage your search query state
+ @searchkit/elastic-ui: Out the box UI search components based on Elastic UI framework

#### Quick Start Guide
- [Example Apps](https://github.com/searchkit/searchkit/tree/next/examples)  
- [Setting up Elasticsearch & Indexing Guide](https://searchkit.co/docs/guides/elasticsearch-setup-indexing)
- [API Quick Start Guide](https://searchkit.co/docs/quick-start/api-setup)
- [UI Quick Start Guide](https://searchkit.co/docs/quick-start/ui/setup)

#### Using Searchkit
- [GraphQL Schema Query Cheatsheet](https://searchkit.co/docs/guides/graphql-schema-queries-cheatsheet)
- [Customising Searchkit](https://searchkit.co/docs/quick-start/customise-searchkit)

#### Contributing to Searchkit
- [Contributing Guide](https://github.com/searchkit/searchkit/blob/next/contributing.md)

### Searchkit Classic
For those who currently use Searchkit Classic, here are quicklinks to codebase & Docs
- [Codebase](https://github.com/searchkit/searchkit/tree/v2)
- [Searchkit v2 Docs](http://searchkit.github.io/searchkit/stable/)
